Bug 92165 - Trailing backslash in share description escapes newline in smb.conf
Trailing backslash in share description escapes newline in smb.conf
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-samba (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 11:04 EDT by Tom
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-03 17:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom 2003-06-03 11:04:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Would it be a good idea to prevent the entry of a backslash as the final
character in the Description field of the Create Samba Share dialog?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch Samba Server Configuration utility
2. Click Add to create a new share
3. Type a backslash as the last character in the description field.

Actual Results:  The backslash escapes the newline character in the smb.conf
file causing the content of the following line (probably path=...) to display in
the description field on Windows Explorer.  The absence of the path=... line
then casuses Samba to search through the file for the next similar statement
which will likely be in the following share section.  This means it is possible
to inadvertantly apply undesired access policies.

Expected Results:  The GUI should either prevent entry of a backslash as the
final character or escape such a backslash so that it appears in the description
as the user intended.

Additional info:
Comment 1 Brent Fox 2003-07-03 17:47:51 EDT
Should be fixed in redhat-config-samba-1.0.8-1 in Rawhide.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.